Introduction

This Ansible role will setup acme-tiny, a minimal ACME client for the Let’s Encrypt certificate authority. It also automates the creation of certificate requests and renewal of certificates, including service restart after the certificates have been replaced.

Installation

Ansible Role

This role requires at least Ansible v2.0.0. To install it, run:

ansible-galaxy install ganto.acme_tiny

acme-tiny

As there are different ways to setup acme-tiny on the various distributions this task is not covered by the Ansible role. It has to be done manually prior to running the role.

For Gentoo users the role author provides an acme-tiny ebuild in the linuxmonk-overlay.

If there is no package provided by the distribution of your choice, it can also be installed from PyPi.

pip install acme-tiny